Workspace
Phone notification preferences
Types (kinds: k, label, desc, push) — the Phone column of Settings → Notifications on the web; types of disabled modules are not listed. quiet: quiet hours (on, from, to — hours, e.g. 20 → 8). push: whether phone notifications are available in the installation (Solk panel connected to Firebase).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.readRequest
curl https://ornek.solk.app/api/v1/push/prefs \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/push/prefs", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/push/prefs",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response